This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 609714 - Unable to update OS
Unable to update OS
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.5
i386 Linux
low Severity low
: rc
: ---
Assigned To: James Antill
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 17:14 EDT by Brian Rodriguez
Modified: 2014-01-21 01:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 15:20:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log and screenshot (989.31 KB, application/x-gzip)
2010-06-30 17:14 EDT, Brian Rodriguez
no flags Details

  None (edit)
Description Brian Rodriguez 2010-06-30 17:14:37 EDT
Created attachment 428102 [details]
Log and screenshot

Description of problem: Unable to run yum as root nor am I able to run software update in gui as root.


Version-Release number of selected component (if applicable):


How reproducible: %


Steps to Reproduce:
1. Open Software update
2.Receive Error message that unhandled exception occurred.
3.
  
Actual results:


Expected results: Software updates to be listed.


Additional info:
Attached screenshots.
Comment 1 seth vidal 2010-06-30 17:24:46 EDT
trace is comingout of rhn plugin. reassinging
Comment 2 Miroslav Suchý 2010-07-01 10:02:02 EDT
It state: connection reset by peer.
Which happens due network problems. We could not really fix that :)
But pirut should catch this exception and provide nice window to user with Retry/Cancel option. 
Reassigning to pirut.
Lowering severity.
Comment 3 Miroslav Suchý 2010-07-01 11:12:56 EDT
BTW BZ 595837 is related where I recently catch this TB for yum and print nice error message. But this will not probably help pirut as it has to catch it on its own.
Comment 4 James Antill 2013-03-14 15:20:15 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.